#
# Licensed Materials - Property of IBM
# Rational ClearQuest
# (C) Copyright IBM Corp. 2009, 2014.  All Rights Reserved.
# US Government Users Restricted Rights -
# Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp
#
##############################################################################

use utf8;

package CQTsAdmin::L10N::cn;	# Chinese-simplified
@ISA = qw(CQTsAdmin::L10N);


##############################################################################
# NOTE: All the text below are space and line sensitive.  That is, if there is
# an extra space, than it's intentional.  The same is true for extra blank 
# lines.  This is to preserve proper formatting as the text is outputted to the
# screen.  Also, the length of a single line of text, is set to be no longer 
# than 79 characters in length.  Those formatting characteristics must also be
# preserved when translating to different languages.
##############################################################################


##############################################################################
my $minHelpMsgText = "


cqtsadmin.pl 版本 [_1]

此脚本可用于安装、配置和管理 IBM Rational ClearQuest 全文检索。


用法： cqperl cqtsadmin.pl --username <cq-user-name>
                           --password <cq-user-password>
                           --dbset <db-set>
                           --userdb <user-db>
                           --ftshome <cqfts-home | cqfts-config-file.xml>

                           ~[--init_cq_fts <include-users-groups>~]
                           ~[--setup_cq_fts~]
                           ~[--create_fts_was_profile <startup-type>~]
                           ~[--fts_was_profile_home <destination-directory>~]
                           ~[--was_profile_ports_file <was-ports-file>~]
                           ~[--delete_fts_was_profile~]

                           ~[--copy_fts_template~]
                           ~[--gen_entity_file~]
                           ~[--gen_fts_files~]
                           ~[--cust_fts_files~]
                           ~[--cust_solr_files~]
                           ~[--update_fts_prop_files~]

                           ~[--start_fts_was_profile~]
                           ~[--stop_fts_was_profile~]
                           ~[--enable_cqweb_fts~]
                           ~[--disable_cqweb_fts~]

                           ~[--run_batch_idx~]
                           ~[--start_update_idx~]
                           ~[--stop_update_idx~]
                           ~[--fresh_batch_idx~]
                           ~[--fresh_update_idx~]
                           
                           ~[--add_record_type~]
                           ~[--remove_record_type~]
                           
                           ~[--set_was_max_mem~]
                           ~[--set_solr_home~]
                           
                           ~[--repair_records~]
                           ~[--optimize_idx~]
                           ~[--remove_lucene_idx_lock~]
                           ~[--scrub_oplog <before-date>~]
                           ~[--backup_fts <destination-directory>~]
                           ~[--archive_fts~]
                           
                           ~[--clear_state~]
                           
                           ~[--lock_cq_fts~]
                           ~[--unlock_cq_fts~]
                           
                           ~[--prep_upgd_was_profiles <destination-directory>~]
                           ~[--restore_was_profiles <destination-directory>~]
                           
                           ~[--upgrade_solr_app~]
						   
                           ~[--typeahead_cmd~]
                           
                           ~[--gather_diagnostic_data~]
                           
                           ~[--show_scenarios ~[<ID | \"all\">~]~]
                           
                           ~[--help~]

";




##############################################################################
# NOTE: for the next block of text, preserving the number of spaces 
# between the text and blank lines is important to ensure properly 
# formatted screen output.
my $fullHelpMsgText = "

参数：
  --username <user-name>   具有 admin 特权的 CQ 用户名
  --password <pass-word>   CQ 用户密码
  --dbset <db-set>         CQ 数据库集名称
  --userdb <user-db>       CQ 用户数据库名称
  --ftshome <cqfts-home>   CQ FTS 主目录或 CQ FTS XML 配置
                           文件

  --init_cq_fts            复制 CQ FTS 缺省模板并生成
                           缺省实体文件；实际上，它执行：
                           “copy_fts_template”和“gen_entity_file”
  --setup_cq_fts           使用实体和配置文件的当前设置
                           执行端到端的 CQ FTS 设置
  --create_fts_was_profile 创建 CQ FTS WAS 概要文件
     <manual | automatic |
      disabled>
  --fts_was_profile_home   将创建 FTS WAS 概要文件的位置；
     <destination-dir>     如果未指定 WAS 属性端口文件，
  --was_profile_ports_file 那么将使用缺省值
     <was-port-file>
  --delete_fts_was_profile 删除 CQ FTS WAS 概要文件

  --copy_fts_template      复制和设置 CQ FTS 缺省模板
  --gen_entity_file        基于用户数据库生成实体文件
  --gen_fts_files          基于用户数据库、实体文件和配置文件
                           生成 CQ FTS 设置文件
  --cust_fts_files         基于用户数据库、实体和配置文件
                           定制 CQ FTS 属性文件
  --cust_solr_files        基于用户数据库定制 Solr 模式文件
  --update_fts_prop_files  更新所有生成的 CQ FTS 文件

  --start_fts_was_profile  在 WAS 下启动 CQ 搜索概要文件
  --stop_fts_was_profile   在 WAS 下停止 CQ 搜索概要文件
  --enable_cqweb_fts       在 CQ Web 下启用 CQ FTS
  --disable_cqweb_fts      在 CQ Web 下禁用 CQ FTS

  --run_batch_idx          执行批处理方式的索引器
  --start_update_idx       在 WAS 下启动更新方式的索引器
  --stop_update_idx        在 WAS 下停止更新方式的索引器
  --fresh_batch_idx        以批处理方式强制执行完全重建索引操作
  --fresh_update_idx       以更新方式强制执行完全重建索引操作

  --add_record_type        添加新的记录类型
  --remove_record_type     除去记录类型

  --set_was_max_mem        为 WAS 概要文件设置 JVM 的最大内存
  --set_solr_home          在 WAS 概要文件下设置 Solr 的主目录

  --repair_records         对失败的记录重建索引
  --optimize_idx           优化索引（进行碎片整理）
  --remove_lucene_idx_lock 除去 Lucene 索引锁（如果存在）
  --scrub_oplog            除去指定日期前的所有 oplog
     <before-date>
  --backup_fts             创建 CQ FTS 部署的备份副本
     <destination-dir>
  --archive_fts            归档现有的 CQ FTS 配置

  --clear_state            清除当前状态

  --lock_cq_fts            锁定该 CQ FTS 部署以便只执行不可修改的命令
  --unlock_cq_fts          解锁该 CQ FTS 部署以使所有命令都可执行

  --prep_upgd_was_profiles 创建所有 CQ FTS WAS 概要文件的备份数据
     <to-dir>              您所有的 CQ FTS WAS 概要文件（“cqsearchprofile”除外）
  --restore_was_profiles   从备份数据中恢复所有 CQ FTS WAS 概要文件
     <from-dir>

  --upgrade_solr_app       将 Apache Solr 升级到最新版本

  --typeahead_cmd          发出特定于 typeahead 的命令

  --gather_diagnostic_data 用于收集 IBM Rational CQ FTS 使用情况的诊断数据，
                           以诊断问题

  --show_scenarios         显示方案列表、方案全文或所有方案的完整文本
     ~[<ID | \"all\">~]

  --help                   显示帮助并退出


本脚本用于设置、配置和管理 IBM Rational ClearQuest Full Text Search。该脚本由您在命令行中提供的值和 CQ 全文搜索 XML
配置数据文件、CQ 搜索属性文件和 Entity 文件中的值驱动。
可用的命令行选项划分为不同的公共操作。一次可以传递一个或多个选项。
这些选项将按照在命令行中出现的顺序来执行。对于此规则，
“init_cq_fts”、“setup_cq_fts”、“create_fts_was_profile”、
“fts_was_profile_home”和“was_profile_ports_file”是例外。
如果使用了这些选项中的一个或多个，那么将按照预定义的顺序执行，以确保正确的操
作。另外，如果将这些命令中的任意一个与其他命令一起使用，
将会报告错误。在大多数情况下，要部署 CQ FTS，您需要使用这三个命令。然后，
可以使用其他的命令行选项来进行维护或定制。
请参阅《用户指南》以了解完整的详细信息。


";




##############################################################################
my $unixMultiutilInfo = 
"由于 ClearQuest 程序 'multiutil.exe' 只在 Windows 上可用，因此命令行选项 '--scrub_oplog' 在 Unix上不受支持。"."\n".
"如果 CQ 数据库未启用多站点，那么 CQ 程序 'multiutil.exe' 可用于擦除 CQ FTS 生成的 oplog。".
"必须在 Windows 机器上运行该命令以擦除 oplog。要这样做，请执行以下步骤："."\n".
"1) 确保 Windows 机器上已安装 CQ 8.0 或更高版本，并且在安装过程中已选中 '文本搜索' 组件"."\n".
"2) 确保 Windows 上还安装了 IBM Rational ClearQuest Full Text Search Administrator 工具。"."\n".
"3) 确保 Windows 机器上已具有名为 '[_1]' 的连接概要文件"."\n".
"4) 将以下文件复制到 Windows 机器上的文件夹中，该文件夹结构与 Unix 机器上的文件夹结构相同"."\n".
"   a) [_2]"."\n".
"   b) [_3]"."\n".
"5) 从 Windows 机器上的 ClearQuest 文件夹中运行以下命令："."\n".
"   cqperl cqtsadmin.pl --username [_4] --password <********> --dbset [_5] --userdb [_6] --ftshome <drive>:[_7] --scrub_oplog <before-date>"."\n";




##############################################################################
%Lexicon =
(
	'LANGUAGE_CODE'					=>	'cn',		# Chinese-simplified (China): must be the same as this file name (without the extension)
	'CODEPAGE_ENCODING'				=>	'CP936',	# The code page to use.  Can be overridden using system env. 'set CQ_FTS_ENCODING=code_page'
	
	'START_MSG_TEXT'				=>	"开始",
	'DONE_MSG_TEXT'					=>	"完成",
	
	'INFO_MSG_TEXT'					=>	"参考         ： ",
	'WARN_MSG_TEXT'					=>	"警告         ： ",
	'ERROR_MSG_TEXT'				=>	"错误         ： ",
	'ERROR_MSG_TEXT_OS'				=>	"错误：",
	'CALLING_TEXT'					=>	"调用：",
	
	'XINFO_CONFIG_XML_FILE'			=>	"FTS 配置 XML 文件              -> [_1]",
	'XINFO_CQ_HOME'					=>	"ClearQuest 主目录              -> [_1]",
	'XINFO_COMMON_HOME'				=>	"Rational 公共主目录            -> [_1]",
	'XINFO_JRE_HOME'				=>	"JRE 主目录                     -> [_1]",
	'XINFO_CQ_USER_NAME'			=>	"CQ 用户名                      -> [_1]",
	'XINFO_CQ_USER_PW'				=>	"CQ 用户密码                    -> [_1]",
	'XINFO_FTS_SOURCE_TEMPL_DIR'	=>	"FTS 源模板目录                 -> [_1]",
	'XINFO_FTS_TARGET_DIR'			=>	"FTS 目标目录                   -> [_1]",
	'XINFO_FTS_DATA_DIR'			=>	"FTS 数据目录                   -> [_1]",
	'XINFO_DB_SET_NAME'				=>	"FTS 数据库集名称               -> [_1]",
	'XINFO_USER_DB_NAME'			=>	"FTS 用户数据库名称             -> [_1]",
	'XINFO_SITE_NAME'				=>	"FTS 站点名称                   -> [_1]",
	'XINFO_PROFILE_NAME'			=>	"FTS WAS 概要文件名称           -> [_1]",
	'XINFO_PROFILE_PORT'			=>	"FTS WAS 概要文件端口           -> [_1]",
	'XINFO_PROFILE_PORT_FILE'		=>	"FTS WAS 概要文件端口文件       -> [_1]",
	'XINFO_PROFILE_XMX_SETTING'		=>	"FTS WAS 概要文件 -Xmx 设置     -> [_1]",
	'XINFO_SERVER_NAME'				=>	"FTS 服务器名称                 -> [_1]",
	'XINFO_USER_ENTITY_FILE'		=>	"FTS 用户提供的实体文件         -> [_1]",
	'XINFO_SOLR_SCHEMA_FILE'		=>	"FTS Solr schema.xml 文件       -> [_1]",
	'XINFO_LUCENE_IDX_DIR'			=>	"FTS Lucene 索引目录            -> [_1]",
	'XINFO_ENTITY_FILE'				=>	"FTS 实体文件                   -> [_1]",
	'XINFO_PROPERTY_FILE'			=>	"FTS 属性文件                   -> [_1]",
	'XINFO_SOLR_INTERMEDIATE_FILE'	=>	"FTS Solr 中间文件              -> [_1]",
	'XINFO_PW_KEY_FILE'				=>	"FTS 密码密钥文件               -> [_1]",
	'XINFO_ENCRYPTED_PW_FILE'		=>	"FTS 加密密码文件               -> [_1]",
	'XINFO_CRAWLER_FILE'			=>	"FTS cqtsdbcrawler.pl 文件      -> [_1]",
	'XINFO_SETUP_FILE'				=>	"FTS cqtssetup.pl 文件          -> [_1]",
	'XINFO_CQTACFG_FILE'			=>	"FTS cqtacfg.pl 文件            -> [_1]",
	'XINFO_SETSOLRHOME_FILE'		=>	"FTS setSolrHome.py 文件        -> [_1]",
	'XINFO_JAVA_EXE_FILE'			=>	"FTS java.exe 文件              -> [_1]",
	'XINFO_ENABLE_CQ_FTS'			=>	"启用 CQ FTS                    -> [_1]",
	'XINFO_START_BATCH_IDX'			=>	"启动批处理索引                 -> [_1]",
	'XINFO_START_UPDATE_IDX'		=>	"启动更新索引                   -> [_1]",
	'XINFO_JVM_BATCH_MODE'			=>	"批处理方式的 JVM 设置          -> [_1]",
	'XINFO_BATCH_SIZE'				=>	"批处理方式的批处理大小         -> [_1]",
	'XINFO_BATCH_DELAY'				=>	"批处理方式的延迟设置           -> [_1]",
	'XINFO_BATCH_THREADS'			=>	"批处理方式的线程数设置         -> [_1]",
	'XINFO_UPDATE_SIZE'				=>	"更新方式的批处理大小           -> [_1]",
	'XINFO_UPDATE_DELAY'			=>	"更新方式的延迟设置             -> [_1]",
	'XINFO_UPDATE_LOGIN_INTERVAL'	=>	"更新方式的登录时间间隔         -> [_1]",
	'XINFO_ADD_RECORD'				=>	"要添加的记录类型和字段         -> [_1]",
	'XINFO_REMOVE_RECORD'			=>	"要除去的记录类型               -> [_1]",
	'XINFO_TYPE_AHEAD_ENABLED'		=>	"Typeahead 启用               -> [_1]",
	'XINFO_TYPE_AHEAD_CACHE_FILL_TRIES'	=>	"Typeahead 高速缓存填充尝试     -> [_1]",
	'XINFO_TYPE_AHEAD_CACHE_SIZE'	=>	"Typeahead 高速缓存大小           -> [_1]",
	'XINFO_TYPE_AHEAD_PAGE_SIZE'	=>	"Typeahead 页面大小            -> [_1]",
	
	'TERMINATION_MSG'				=>	"由于出错而终止",
	'NON_FATAL_ERROR'				=>	"遇到非致命错误",
	'IGNORE_SAFE_ERROR'				=>	"忽略可能的安全错误",
	
	'CANNOT_BE_HERE'				=>	"意外错误 - 不应执行该行",
	
	'INVALID_COMMAND_LINE_OPTION'	=>	"使用了一个或多个无效命令行选项。",
	'NOT_SUPPORTED_COMMAND_OPTION'	=>	"命令行选项 '--init_cq_fts' 和 '--setup_cq_fts' 不能与其他选项一起使用。",
	'USE_HELP_MSG'					=>	"使用 '--help' 以完成 help 语法。",
	'MISSING_REQUIRED_OPTIONS'		=>	"缺少所需的命令行选项：'--username'、'--password'、'--dbest'、'--userdb' 和 '--ftshome'。",
	'NO_OPERATIONAL_COMMAND_OPTION'	=>	"必须至少使用一个命令行选项。",
	'INVALID_CREATE_PROFILE'		=>	"命令行选项 '--create_fts_was_profile' 将只接受：'manual'、'automatic' 或 'disabled'。",
	'FTS_ALREADY_EXIST'				=>	"由于针对数据库集 '[_1]' 和用户数据库 '[_2]' 的 CQ FTS 设置已存在于 '[_3]'，因此无法执行 '--init_cq_fts'。",
	
	'FTS_TEMPLATE_AT'				=>	"正在以下位置创建 FTS 模板：[_1]",
	'FAILED_TO_MOVE_FILE'			=>	"将 '[_1]' 文件移动到 '[_2]' 失败",
	'FAILED_TO_MOVE_FOLDER'			=>	"将 '[_1]' 文件夹移动到 '[_2]' 失败",
	'SEE_FILE'						=>	"请参阅 '[_1]' 文件",
	'FOR_IMPORTANT_NOTES'			=>	"获取重要说明。",
	'LOG_ENDED_ON'					=>	"日志结束于 -> [_1]",
	'LOG_STARTED_ON'				=>	"日志开始于 -> [_1]",
	'WRITTING_TO_LOG_FILE'			=>	"正在写入日志文件 -> [_1]",
	'CANNOT_CREATE_LOG_FILE'		=>	"无法在以下位置创建日志文件：'[_1]'",
	'LOST_LOG_MSG_LINE_1'			=>	"此次执行的日志已丢失。",
	'LOST_LOG_MSG_LINE_2'			=>	"可能需要捕获屏幕输出来作为该会话的日志。",
	'FLUSH_LOG'						=>	"日志已写入：'[_1]'",
	'FLUSH_LOG_ATTEMPT_LINE_1'		=>	"将尝试将日志数据写入：'[_1]'",
	'FLUSH_LOG_ATTEMPT_LINE_2'		=>	"如果脚本成功结束。",
	
	'ERROR_DURING_EXE'				=>	"在执行以下内容期间遇到错误：",
	'FILE_NOT_GENERATED'			=>	"文件：\n"."  [_1]\n\n"."未生成。",
	'CANNOT_EXE'					=>	"无法执行 '[_1]'",
	'CANNOT_CREATE'					=>	"无法创建：'[_1]'",
	'CANNOT_DETERMINE_FTS_DIR'		=>	"无法从 '[_1]' 确定 CQ FTS 数据目录",
	'RETRIEVE_WAS_PORT_NUMBER'		=>	"无法检索 WAS 概要文件 '[_1]' 的端口号",
	'PROFILE_NAME_TOO_LONG'			=>	"WAS 概要文件名称 '[_1]' 超过最大允许长度 '[_2]'",
	'NON_EXISTING_SITE_NAME'		=>	"您的副本没有名为 '[_1]' 的站点",
	'NO_PRIVILAGE'					=>	"用户没有足够的特权",
	'WRONG_CQ_VERSION'				=>	"ClearQuest 全文搜索需要 CQ 8.0 或更高版本；您的 CQ 版本 '[_1]' 不受支持。",
	'CANNOT_COPY_FROM_TO'			=>	"无法从 '[_1]' 复制到 '[_2]'",
	'CANNOT_OPEN'					=>	"无法打开文件 '[_1]'",
	'FIELD_NAME_NOT_IN_SCHEMA'		=>	"记录类型 '[_1]' 具有 1 个或多个未在模式中定义的字段。请验证 XML 配置文件中的拼写和大写字母，然后重试。",
	'RECORD_TYPE_NOT_IN_SCHEMA'		=>	"模式中未定义记录类型 '[_1]'。请验证 XML 配置文件中的拼写和大写字母，然后重试。",
	'RECORD_TYPE_NOT_INDEXED'		=>	"记录类型 '[_1]' 未建立索引或者无法匹配。请验证 XML 配置文件中的拼写和大写字母，然后重试。",
	'UPDATE_FILE_NOT_EXIST'			=>	"要更新的文件不存在 '[_1]'",
	'CANNOT_CREATE_BACKUP_FILE'		=>	"无法以 '[_2]' 形式创建 '[_1]' 的备份",
	'CANNOT_WRITE_TO_FILE'			=>	"无法写入文件 '[_1]'",
	'CANNOT_DELETE_BACKUP_FILE'		=>	"删除备份文件 '[_1]' 失败",
	'CANNOT_UPDATE_FILE'			=>	"更新文件 '[_1]' 失败",
	'CANNOT_RESTORE_BACKUP_FILE'	=>	"从备份 '[_1]' 恢复到"." 失败",
	'MANUALY_RESTORE_FILE'			=>	"您可能需要从 '[_1]' 或自己的备份中手动恢复该文件（或者重新生成该文件）",
	'CANNOT_OPEN'					=>	"无法打开 '[_1]'",
	'FAILED_TO_ADD_RECORD'			=>	"将记录类型添加到 '[_1]' 失败",
	'DIAG_COLLECTION_ERROR'			=>	"遇到错误；未收集到所有诊断数据。",
	'DIAG_DATA_LOCATION'			=>	"已将诊断数据收集到 '[_1]' 中。收集该文件夹的内容以供 IBM 支持人员使用。",
	'NEED_CQ_7_1_1'					=>	"需要 ClearQuest 8.0 或更高版本以使用该功能部件。",
	'WILL_NOT_SCRUB'				=>	"由于已复制您的数据库，因此需要使用复制策略来擦除 oplog 和 CQ FTS 日志。",
	'WRONG_BACKUP_DESTINATION'		=>	"目标必须是一个目录，该目录不存在或者无法访问。",
	'WAS_PROFILE_EXIST'				=>	"WAS 概要文件 '[_1]' 已存在。请使用其他概要文件名称来重试。",
	'WAS_PORT_GT_5'					=>	"端口字符串必须至少为 5 位数",
	'CANNOT_CREATE'					=>	"无法创建 '[_1]'",
	'CANNOT_DELETE'					=>	"无法删除 '[_1]'",
	'MISSING_CONFIG_FILE'			=>	"缺少配置文件 '[_1] '",
	'RECORD_TYPE_ADD_PARSE_ERROR'	=>	"对要添加的记录类型进行语法分析时出错。请验证 XML 配置文件 '[_1]' 中的该数据是否正确",
	'CANNOT_CREATE_RESTORE_FILE'	=>	"创建到 '[_2]' 的恢复文件 '[_1]'"." 失败",
	'CANNOT_DELETE_RESTORE_FILE'	=>	"无法删除恢复文件 '[_1]'。必须手动删除该文件。",
	'ADD_RECORD_ERROR'				=>	"由于出错导致添加记录类型失败。",
	'CANNOT_DELETE_FOLDER'			=>	"无法删除文件夹 '[_1]'。必须将其手动删除。",
	'ERROR_DURING_ADD_RECORD'		=>	"添加记录类型期间遇到错误。请检查日志以进行手动恢复。",
	'FILE_RESTORE_ERROR'			=>	"将恢复文件从 '[_1]' "." 失败",
	'OUT_OF_SYNC_LUCENE_INDEX'		=>	"由于 Lucene 索引不同步，很可能会发生致命错误；可能已除去某些记录类型。请考虑从备份恢复 CQ FTS 部署。",
	'REMOVE_RECORD_ERROR'			=>	"由于出错导致除去记录类型失败。",
	'ERROR_DURING_REMOVE_RECORD'	=>	"添加记录类型期间遇到错误。请检查日志以进行手动恢复。",
	'NOT_ENABLED_BATCH_INDEX'		=>	"由于在 CQ FTS 管理文件中将 '<runBatchIndex>' 设置为 'false'，因此启用“更新索引”的请求被拒绝",
	'NOT_ENABLED_UPDATE_INDEX'		=>	"由于在 CQ FTS 管理文件中将 '<startUpdateIndex>' 设置为 'false'，因此启用“更新索引”的请求被拒绝",
	'NOT_ENABLED_CQWEB_FTS'			=>	"由于在 CQ FTS 管理文件中将 '<enableCQFTS>' 设置为 'false'，因此启用 CQ Web 全文搜索的请求被拒绝",
	'CANNOT_COPY_ALREADY_EXIST'		=>	"无法复制到 '[_1]'；它已存在于 '[_2]' 中",
	'RENAMING_TO'					=>	"将 '[_1]' 重命名为 '[_2]'",
	'LOGGER_STOP_FOR_RENAME'		=>	"正在停止记录器，以使重命名生效。请查看屏幕输出以了解所有错误。",
	'DELETING_WAS_PROFILE'			=>	"正在删除 WAS 概要文件 '[_1]'",
	'TIME_1_TO_5_MIN'				=>	"根据系统速度，这可能需要 1 到 5 分钟。",
	'TIME_5_TO_10_MIN'				=>	"根据系统速度，这可能需要 5 到 10 分钟。",
	'DELETING_FOLDERS_FILES'		=>	"正在删除 '[_1]' 中的文件夹和文件",
	'DELETING_FILE'					=>	"正在删除文件 '[_1]'",
	'CREATING_WAS_PROP_FILE'		=>	"正在 '[_1]' 中创建 WAS 概要文件属性文件",
	'CREATING_NEW_WAS_PROFILE'		=>	"正在使用端口 '[_2]' 创建新的 WAS 概要文件 '[_1]'",
	'UNIX_NOT_SUPPORTED_SRV_TYPE'	=>	"忽略 *nix '-winserviceStartupType [_1]' 上不受支持的服务启动类型",
	'RE_INDEXING_REPAIR'			=>	"正在对修复文件 '[_1]' 中的记录重建索引",
	'DELETE_OPLOG_MARKER_FILE'		=>	"正在删除 oplog 标记文件 '[_1]'",
	'DELETE_BATCH_MARKER_FILE'		=>	"正在删除批处理方式标记文件 '[_1]'",
	'MODIFYING_WEBXML_FILE'			=>	"正在修改 '[_1]' 以启用更新方式记录抽取器",
	'MODIFYING_SOLR_SCHEMA_FILE'	=>	"正在修改 '[_1]' 以将 Solr 的字段与您的模式同步。",
	'USING_USER_ENTITY_FILE'		=>	"正在使用用户定义的实体文件 '[_1]'",
	'UNIX_SEE_FILE'					=>	"请参阅 '[_1]' 文件",
	'UNIX_MULTIUTIL_MSG_FILE'		=>	"正在创建包含有关为 Unix 用户提供的 multiutil.exe 的指示信息的 '[_1]' 文件。",
	'UNIX_NOT_SUPPORTED_SCRUB'		=>	"命令行选项 '--scrub_oplog' 在 Unix 上不受支持。",
	'UNIX_HOW_TO_SCRUB'				=>	"获取有关如何擦除 oplog 的更多指示信息。",
	'WAS_PROFILE_DEPOLY_FILE'		=>	"正在创建 WAS 概要文件部署文件 '[_1]'",
	'WAS_PROFILE_NAME_TOO_LONG'		=>	"输入的缺省 WAS 概要文件名称长度超过最大字符数 '[_1]'。已将其缩短，从 '[_3]' 更改为 '[_2]'",
	'CREATING_FTS_CONFIG_XML_FILE'	=>	"正在 '[_1]' 中创建 CQ FTS 配置 XML 文件",
	'READING_FTS_CONFIG_XML_FILE'	=>	"正在读取 '[_1]' 中的 CQ FTS 配置 XML 文件",
	'ERROR_ENABLE_DISABLE_FTS'		=>	"尝试为 CQ Web 启用/禁用 CQ FTS 时出错。",
	'CQFTS_PROP_DATA'				=>	"CQ FTS 属性数据 [_1]",
	
	'CREATE_NEW_CQFTS'				=>	"正在尝试在以下位置创建新的 CQ FTS 设置 -> [_1]",
	'LOCATE_CQFTS'					=>	"正在尝试在以下位置查找现有的 CQ FTS 设置 -> [_1]",
	'LOOKING_FOR_CQFTS'				=>	"正在以下位置查找 CQ FTS 配置文件 -> [_1]",
	'FTS_INDEXED_RECORDS_TYPES'		=>	"CQ FTS 已建立索引的记录类型：[_1]",
	'CQ_PROD_INFO'					=>	"ClearQuest 产品信息：",
	'FULL_PROD_VER'					=>	"完整产品版本              -> [_1]",
	'PROD_VER'						=>	"产品版本                  -> [_1]",
	'PATCH_VER'						=>	"补丁版本                  -> [_1]",
	'LICE_VER'						=>	"许可证版本                -> [_1]",
	'LICE_FEATURE'					=>	"许可证功能部件            -> [_1]",
	'WEB_LICE_VER'					=>	"Web 许可证版本            -> [_1]",
	'COMPANY_NAME'					=>	"公司名称                  -> [_1]",
	'COMPANY_FULL_NAME'				=>	"公司全名                  -> [_1]",
	'COMPANY_EMAIL_ADDESS'			=>	"公司电子邮件地址          -> [_1]",
	'COMPANY_WEB_ADDRESS'			=>	"公司 Web 地址             -> [_1]",
	'BUILD_NUM'						=>	"构建号                    -> [_1]",
	'STAGE_LABEL'					=>	"阶段标签                  -> [_1]",
	'DEFAULT_DBSET_NAME'			=>	"缺省数据库集名称          -> [_1]",
	'OM_VER_MAJOR'					=>	"ObjectModel 主版本        -> [_1]",
	'OM_VER_MINOR'					=>	"ObjectModel 次版本        -> [_1]",
	'SUITE_PROD_VER'				=>	"套件产品版本              -> [_1]",
	'SUITE_BUILD_ID'				=>	"套件构建标识              -> [_1]",
	'FEATURE_LEVEL'					=>	"功能部件级别              -> [_1]",
	'IS_REPLICATED'					=>	"已复制                    -> [_1]",
	'IS_FTS_ENABLED'				=>	"启用文本搜索              -> [_1]",
	'DB_FL'							=>	"CQ 数据库功能部件级别为：[_1]",
	'IS_MULTISITED'					=>	"CQ 数据库已启用多站点",
	'IS_NOT_MULTISITED'				=>	"CQ 数据库未启用多站点",
	'NEED_FL7_OR_MULTISITE'			=>	"CQ FTS 需要 FL7 或已启用多站点的 CQ 数据库才能正常运行",
	'DISABLING_UPDATE_MODE'			=>	"正在禁用更新方式记录抽取器",
	'ENABLING_UPDATE_MODE'			=>	"正在启用更新方式记录抽取器",
	'BACKING_UP_TO'					=>	"正在备份到 '[_1]'",
	'BACKUP_TIME_DEPENDENCY'		=>	"根据硬件速度，该任务可能需要几分钟...",
	'IDX_IS_NOT_LOCKED'				=>	"Lucene 索引未锁定。无需执行任何操作。",
	'IDX_IS_UnLOCKED'				=>	"Lucene 索引现已解锁。",
	'CQFTS_IS_LOCKED'				=>	"该 CQ FTS 部署现已锁定。",
	'CQFTS_IS_UnLOCKED'				=>	"该 CQ FTS 部署现已解锁。",
	'CQFTS_IS_ALREADY_UNLOCKED'		=>	"该 CQ FTS 部署已解锁。无需执行任何操作。",
	'CQFTS_IS_ALREADY_LOCKED'		=>	"该 CQ FTS 部署已锁定。无需执行任何操作。",
	'CQFTS_IS_LOCKED_ERROR'			=>	"该 CQ FTS 部署已锁定；大部分命令已禁用。",
	'ARCHIVED_TO'					=>	"已归档到：[_1]",
	'INVALID_WAS_INSTALLED'			=>	"64 位 WAS 与全文本搜索不兼容，请安装 32 位 WAS。",

	
	'IN_A_STATE_ALREADY'			=>	"在没有首先完成 '[_2]' 的情况下无法执行 '[_1]'。",
	'CLEAR_STATE_FOR'				=>	"完成 '[_1]' 或者使用 '[_2]' 清除其状态",
	'CLEARING_STATE'				=>	"正在清除状态",
	'UNEXPECTED_STATE_ERROR'		=>	"意外错误。正在尝试设置 '[_1]' 的状态，但当前处于 '[_2]'",
	'SET_STATE'						=>	"将 '[_1]' 命令的状态设置为 '[_2]'",
	'CURRENT_STATE'					=>	"'[_1]' 命令的当前状态为 '[_2]'",
	'STATE_IS_CLEARED'				=>	"已清除当前状态",
	'NO_STATE_TO_CLEAR'				=>	"不存在需要清除的状态",
	
	'CONFIG_IS_HERE'				=>	"配置数据文件的副本放置在：[_1]",
	'NEXT_AVAILABLE_PORT'			=>	"正在查找下一个可用的端口号",
	'LOOKING_IN'					=>	"正在 WAS 概要文件中查找：~[[_1]~]",
	'FOUND_NEXT_PORT'				=>	"找到下一个可用的端口号：~[[_1]~]",
	'LOOKING_FOR_PORT'				=>	"正在查找 WAS 概要文件的端口号：~[[_1]~]",
	'REMOVE_FROM_ENTITY'			=>	"正在从实体列表中除去记录类型 '[_1]'",
	'REMOVE_FROM_INDEX'				=>	"正在从实体索引中除去记录类型 '[_1]'",
	'BANNER_FTS_TEMPLATE'			=>	"====> 正在设置 CQ FTS 模板... [_1]",
	'BANNER_GENERATE_ENTITY'		=>	"====> 生成实体文件... [_1]",
	'BANNER_GATHER_DIAG_DATA'		=>	"====> 收集 CQ FTS 诊断数据... [_1]",
	'BANNER_SCRUB_OPLOG'			=>	"====> 正在擦除 oplog... [_1]",
	'BANNER_BACKUP_CQFTS'			=>	"====> 正在备份 CQ FTS ... [_1]",
	'BANNER_ARCHIVE_CQFTS'			=>	"====> 正在归档 CQ FTS ... [_1]",
	'BANNER_DELETE_WAS_PROFILE'		=>	"====> 正在删除 CQ FTS WAS 概要文件... [_1]",
	'BANNER_CREATE_WAS_PROFILE'		=>	"====> 正在创建 CQ FTS WAS 概要文件... [_1]",
	'BANNER_REINDEX_RECORDS'		=>	"====> 对记录重建索引... [_1]",
	'BANNER_OPTIMIZE_INDEX'			=>	"====> 优化 CQ FTS 索引... [_1]",
	'BANNER_ADD_RECORD_TYPE'		=>	"====> 正在添加记录类型... [_1]",
	'BANNER_REMOVE_RECORD_TYPE'		=>	"====> 正在除去记录类型... [_1]",
	'BANNER_FORCE_UPDATE_REINDEX'	=>	"====> 在更新方式中强制执行完整重建索引操作... [_1]",
	'BANNER_FORCE_BATCH_REINDEX'	=>	"====> 在批处理方式中强制执行完整重建索引操作... [_1]",
	'BANNER_START_WAS_PROFILE'		=>	"====> 启动 WAS 搜索概要文件... [_1]",
	'BANNER_STOP_WAS_PROFILE'		=>	"====> 停止 WAS 搜索概要文件... [_1]",
	'BANNER_START_UPDATE_INDEX'		=>	"====> 启用并启动更新方式建立索引... [_1]",
	'BANNER_STOP_UPDATE_INDEX'		=>	"====> 禁用并停止更新方式建立索引... [_1]",
	'BANNER_SET_WAS_MAX_JVM_MEM'	=>	"====> 正在设置 WAS 的 JVM 最大内存... [_1]",
	'BANNER_START_BATCH_INDEX'		=>	"====> 启动批处理方式索引... [_1]",
	'BANNER_ENABLE_CQWEB_FTS'		=>	"====> 启用 CQ Web FTS ... [_1]",
	'BANNER_DISABLE_CQWEB_FTS'		=>	"====> 禁用 CQ Web FTS ... [_1]",
	'BANNER_SET_SOLR_HOME'			=>	"====> 设置 Solr 主目录... [_1]",
	'BANNER_CUST_PROPERTY_FILE'		=>	"====> 定制 CQ FTS 属性文件... [_1]",
	'BANNER_CUST_SOLR_FILE'			=>	"====> 定制 Solr 文件... [_1]",
	'BANNER_UPDATE_FTS_FILES'		=>	"====> 正在更新已生成的 CQ FTS 文件... [_1]",
	'BANNER_GEN_FTS_FILES'			=>	"====> 正在生成 CQ FTS 文件... [_1]",
	'BANNER_UNLOCK_LUCENE_IDX'		=>	"====> 正在除去 Lucene 索引锁文件... [_1]",
	'BANNER_CLEAR_STATE'			=>	"====> 正在清除状态... [_1]",
	'BANNER_LOCK_CQ_FTS'			=>	"====> 正在锁定 CQ FTS 部署... [_1]",
	'BANNER_UNLOCK_CQ_FTS'			=>	"====> 正在解锁 CQ FTS 部署... [_1]",
	'BANNER_VALIDATE'				=>	"====> 正在验证 CQ FTS 部署... [_1]",
	'BANNER_TYPEAHEAD_CMD'			=>	"====> Typeahead 命令... [_1]",,
	
	'ABOUT_INFO'					=>	"有关该 CQ FTS 的信息",
	'ABOUT_CREATED_ON'				=>	"创建于：[_1]",
	'ABOUT_OS'						=>	"操作系统：[_1]",
	'ABOUT_CFG_XML_FILE'			=>	"CQ FTS 配置 XML 文件：[_1]",
	'ABOUT_SOURCE_TEMPL_DIR'		=>	"CQ FTS 源模板目录：[_1]",
	'ABOUT_DB_SET_NAME'				=>	"CQ 数据库集/连接名称：[_1]",
	'ABOUT_USER_DB_NAME'			=>	"CQ 用户数据库名称：[_1]",
	'ABOUT_SITE_NAME'				=>	"CQ 站点名称：[_1]",
	'ABOUT_SERVER_HOST'				=>	"CQ FTS 服务器主机名：[_1]",
	'ABOUT_FTS_TARGET_DIR'			=>	"CQ FTS 目标目录：[_1]",
	'ABOUT_PROFILE_NAME'			=>	"CQ FTS WAS 概要文件名称：[_1]",
	'ABOUT_PROFILE_PORT'			=>	"CQ FTS WAS 概要文件端口：[_1]",
	'ABOUT_PROFILE_PORT_FILE'		=>	"CQ FTS WAS 概要文件端口文件：[_1]",
	'ABOUT_SOLR_ADMIN_URL'			=>	"CQ FTS Solr 管理控制台 URL：http://[_1]:[_2]/solr/admin/index.jsp",
	'ABOUT_LUCENE_INDEX_LOCATION'	=>	"CQ FTS Lucene 索引位置：[_1]",
	'ABOUT_DATA_DIR'				=>	"CQ FTS 数据目录：[_1]",
	'ABOUT_ENTITY_FILE'				=>	"CQ FTS 实体文件：[_1]",
	'ABOUT_PROPERTY_FILE'			=>	"CQ FTS 属性文件：[_1]",
	'ABOUT_SOLR_INTERM_FILE'		=>	"CQ FTS Solr 中间文件：[_1]",
	'ABOUT_PW_KEY_FILE'				=>	"CQ FTS 密码密钥文件（如果已设置）：[_1]",
	'ABOUT_ENCRPTED_PW_FILE'		=>	"CQ FTS 加密密码文件（如果已设置）：[_1]",
	'ABOUT_SOLR_FILE'				=>	"CQ FTS Solr 文件：[_1]",
	'ABOUT_POST_SETUP_INFO'			=>	"设置和配置后的重要信息",
	'ABOUT_POST_INFO_1'				=>	"1) 测试并验证能否通过 Web 浏览器访问 Solr 管理控制台：http://[_1]:[_2]/solr/admin/index.jsp",
	'ABOUT_POST_INFO_2'				=>	"2) 必须通过 'disp_order' 值来设置每个记录类型的描述性显示字段。对于 CQ 搜索属性 XML 文件中所列的*每个*记录类型，都会将 'disp_order' 设置为等于 '1'，以精确表示位于以下位置的 CQ 搜索属性 XML 文件中的*一个*描述性字段：'[_1]'。完成该任务后，需运行命令行选项 '--enable_cqweb_fts' 以使更改生效。这一更改为动态更改；登录或重新登录后的所有用户都可以看到该更改。",
	'ABOUT_POST_INFO_3'				=>	"3) 请使用适当的主机操作系统许可 ACL 来保护密码密钥文件的安全，以确保只有管理员、本地系统和 FTS WAS 服务用户帐户才能访问该文件。用于保护该文件的文件为： '[_1]'",
	'ABOUT_POST_INFO_4'				=>	"4) 此外，如果 Solr 搜索服务访问需要访问限制，那么可以选择使用信息中心内的指示信息来保护 FTS WAS 概要文件（Solr 搜索服务） '[_1]' 的安全。注：要通过 CQ Web 8.0 访问这个由 FTS 建立索引的 CQ 用户数据库的所有 CM Server/CQ Web 主机都必须能够访问由该 WAS 概要文件托管的 Solr 搜索服务。此外，任何需要访问 Solr 管理控制台的管理主机也必须能够访问该主机。如果使用 MultiSite 并选择共享特定的 CQ FTS Solr 搜索服务主机，那么还必须允许访问那些远程 CM Server/ CQ Web 服务器主机。为实现最佳结果，请使用 IP 地址，也可选择使用主机名，或者参阅 WebSphere 文档/ ClearQuest 信息中心或适用的技术说明。",
	'ABOUT_POST_INFO_5'				=>	"5) 验证 CQ Web 8.0 中的 '全文' 搜索单选按钮是否已启用。要执行该操作，请将浏览器指向 CQ Web 部署并登录。这样应当已启用 '全文' 搜索单选按钮。注：如果由于运行命令行选项 '--disable_cqweb_fts' 而导致该单选按钮被禁用，那么不会对非复制的用户数据库执行 oplog 操作。这样可能会导致更新方式建立索引期间丢失记录。请在启用 CQ FTS 后始终小心地确保该单选按钮处于启用状态。如果启用了 MultiSite，由于始终会执行 oplog 操作，因此可以安全地禁用该单选按钮。",
	'ABOUT_POST_INFO_6'				=>	"6) 确保在进行 CQ 数据库集备份的同时也进行了 CQ FTS 部署备份（请参阅“信息中心”以了解详细信息）。如果没有进行适当的备份，那么可能导致在进行 ClearQuest 数据库恢复时需要对所有的 ClearQuest 记录重建索引。",
	'ABOUT_POST_INFO_7'				=>	"7) 对于 Windows 主机：除非已创建新的 WAS 概要文件并将其启动类型指定为 'Automatic'，否则会将 'cqsearchprofile' 缺省设置指定为 'Manual'。您应将该设置更改为 'Automatic' 以确保服务在系统引导时启动。",
	'ABOUT_POST_INFO_8'				=>	"8) 对于 Unix 主机：不会将“Solr 搜索 WAS 服务”配置为在主机引导时启动。请参阅 WAS 信息中心，以了解如何将 cqsearchprofile WAS 概要文件配置为在服务器主机引导时启动。",
	'ABOUT_POST_INFO_9'				=>	"9) 请参阅 '[_1]' 文件，以获取有关如何从 Windows 擦除 oplog 的指示信息。",
	'ABOUT_SEE_INFO_CENTER'			=>	"请参阅信息中心，以了解有关 CQ FTS 的更深入的详细信息。",
	
	'ABOUT_SITE_LIST_NAME'			=>	"CQ 站点名称列表：[_1]",
	'ABOUT_ENABLED_SITE_LIST_NAME'	=>	"已启用 CQ FTS 的站点：[_1]",
	'XINFO_SITE_NAME_LIST'			=>	"FTS 站点名称列表               -> [_1]",
	'XINFO_ENABLE_AT_SITES'			=>	"已启用 FTS 的站点              -> [_1]",
	'NO_RECORD_TYPES_TO_REMOVE'		=>	"'<removeRecordType>' 中未列出任何要除去的记录类型。",
	'NO_RECORD_TYPES_TO_ADD'		=>	"'<addRecordType>' 中未列出要添加的记录类型。",
	'FTS_NOT_ENABLED'				=>	"\'未启用全文搜索\'",
	'ERROR_IN_CFG_FILE'				=>	"在处理 '[_1]' 时捕获错误",
	'ADD_ENTITY_EXIST'				=>	"实体文件中已存在一个或多个要添加的记录类型。",
	'AT_WOKING_MASTER_L1'			=>	"您的连接概要文件必须指向某个工作主站点才能完整部署 CQ FTS。",
	'AT_WOKING_MASTER_L2'			=>	"这是因为命令 '--enable_cqweb_fts' / '--disable_cqweb_fts' 只可以在工作主站点上执行。",
	'AT_WOKING_MASTER_L3'			=>	"您应当使用指向工作主站点的连接概要文件来开始 CQ FTS 的全新部署。",
	'REQUIRES_AT_WORKING_MASTER'	=>	"命令 '--enable_cqweb_fts' / '--disable_cqweb_fts' 只能在工作主站点上执行。",
	'BANNER_PREP_UPGD_PROFILES'		=>	"====> 准备升级 CQ FTS WAS 概要文件... [_1]",
	'BANNER_RESTORE_PROFILES'		=>	"====> 从备份数据恢复 CQ FTS WAS 概要文件... [_1]",
	'BANNER_SHOW_SCENARIOS'			=>	"====> 显示方案... [_1]",
	'SCENARIO_ID'					=>	"方案标识：[_1]",
	'SCENARIO_HEADLINE'				=>	"标题：[_1]",
	'BACKUP_PROFILES_TO'			=>	"CQ FTS WAS 概要文件将备份至：'[_1]'",
	'CREATING_BACKUP_OF_PROFILE'	=>	"正在创建 CQ FTS WAS 概要文件的备份数据：'[_1]",
	'DELETING_FTS_WAS_PROFILE'		=>	"正在删除 CQ FTS WAS 概要文件：'[_1]'",
	'RESTORING_PROFILES_FROM'		=>	"正在从 [_1] 恢复 CQ FTS WAS 概要文件",
	'RESTORING_PROFILE'				=>	"正在恢复 CQ FTS WAS 概要文件：[_1]",
	'XINFO_DELETE_PROFILES'			=>	"删除 CQ FTS WAS 概要文件       -> [_1]",
	'CQ_FTS_NOT_INSTALLED'			=>	"未安装 CQ FTS",
	'CANNOT_DELETE_CQSEARCHPROFILE'	=>	"无法删除 CQ FTS WAS 概要文件：'[_1]'",
	'CANNOT_GATHER_PROFILE'			=>	"无法收集 CQ FTS WAS 概要文件数据：[_1], [_2], [_3], [_4], [_5], [_6]",
	'NO_SUCH_DIR_FILE'				=>	"不存在目录或文件：[_1]",
	'ABOUT_PROFILE_HOME'			=>	"CQ FTS WAS 概要文件主目录：[_1]",
	'XINFO_PROFILE_HOME'			=>	"FTS WAS 概要文件主目录           -> [_1]",
	'XINFO_WAS_APPSRV_HOME'			=>	"FTS WAS AppServer 主目录         -> [_1]",
	'XINFO_CQTSADMIN_VER'			=>	"CQ FTSA 工具版本           -> [_1]",
	'ABOUT_WAS_APPSRV_HOME'			=>	"CQ FTS WAS AppServer 主目录：[_1]",
	'RET_BASIC_WAS_INFO'			=>	"正在检索 WAS 概要文件信息以查找 WAS 概要文件 ~[[_1]~]",
	'UPDATE_CQFTS_PROP_FILE'		=>	"正在更新 CQ FTS 属性文件 ~[[_1]~]",
	'RECORD_TYPE_ALREADY_INDEXED'	=>	"已重新对记录类型 '[_1]' 建立索引，在没有除去它之前无法重新添加。如果希望完全重新建立索引，请先除去它。",
	'NOT_FTS_PROFILE'				=>	"WAS 概要文件 '[_1]' 不是 CQ FTS 概要文件；它没有准备好升级",
	'PREPARING_UPGRADE'				=>	"WAS 概要文件 '[_1]' 正在准备升级",
	'DISABLE_CQWEB_FTS'				=>	"正在为站点 '[_1]' 禁用 CQ Web FTS ",
	'ENABLE_CQWEB_FTS'				=>	"正在为站点 '[_1]' 启用 CQ Web FTS ",
	'AUTO_GEN_PORT_PROFILE'			=>	"自动生成的端口",
	'USER_PORT_PROFILE'				=>	"正在使用用户定义的端口概要文件 '[_1]'",
	'PORTS_FILE_OVERRIDE'			=>	"您已经请求了覆盖现有端口文件。需要将您的文件复制到 '[_1]' 上，以避免稍后可能出现的问题",
	'NEED_WAS_APPSERVER_PATH'		=>	"无法确定 WebSphere 的 AppServer 主目录。请参阅《ClearQuest 全文搜索用户指南》以了解如何通过 '[_1]' 环境变量进行设置。",
	'UNDEFINED_SOLR_VER'			=>	"未定义的 Solr 版本：'[_1]'",
	'XINFO_SOLR_VERSION'			=>  "Apache Solr 版本           -> [_1]",
	'BANNER_UPGRADE_SOLR_APP'		=>	"====> 正在升级 Apache Solr ... [_1]",
	'PREPARING_SOLR_UPGRADE'		=>	"正在升级位于 FTS 部署 '[_1]' 的 Apache Solr",
	'SOLR_IS_ALREADY_CURRENT'		=>	"'[_1]/[_2]' 的 FTS 部署的 Apache Solr 版本已经为版本 '[_3]'",
	'MODIFYING_FTS_CFG_FILE'		=>	"正在修改 '[_1]'，以反映 Apache Solr 升级",
	'SKIP_SOLR_UPGRADE'				=>	"针对以下部署跳过 Apache Solr 升级：[_1]/[_2]",
	'UNEXPECTED_DATA'				=>	"意外数据：[_1]",
	'REINDEX_IS_REQUIRED_1'			=>	"注意：必须重新编写 FTS 部署索引，以完成 Solr 升级。",
	'REINDEX_IS_REQUIRED_2'			=>	"使用命令“--run_batch_idx”对您的 FTS 数据重新编制索引。",
	'ADMIN_ELEVATION_REQUIRED'		=>	"CMD / Unix shell 必须为管理方式",
	'NO_FTS_AT_FTSHOME'				=>	"无法在 '[_3]' 找到 '[_1]/[_2]' 的 FTS 部署",
	'INCLUDE_USERS_GROUPS'			=>	"您已选择对用户和组记录类型编制索引。为了确保您的 FTS 索引与 CQ DB 保持同步，必须强制所有客户机都为 CQ 8.0.1.04 或更高版本。请参阅 CQ 文档以获取更多详细信息。",
	'RECORD_TYPE_NOT_INDEXED_2'		=>	"记录类型“[_1]”不是由 FTS 编制索引的。",
	'FIELD_NOT_INDEXED'				=>	"记录类型“[_2]”的字段“[_1]”不是由 FTS 编制索引的。",
	'TYPEAHEAD_VALIDATION_SUCCESS'	=>	"已通过 Typeahead 验证。",
	'TYPEAHEAD_VALIDATION_FAILED'	=>	"Typeahead 验证失败。",
	'MALFORMED_FILE'				=>  "在处理“[_1]”时出现错误",
	'TYPEAHEAD_CMD'					=>  "Typeahead 命令：“[_1]”",
	'NOT_ENABLED_DELETE_INDEX'		=>	"由于在 CQ FTS 管理文件中未将“<deleteIndex>”设置为“true”，因此删除索引的请求被拒绝",
	'XINFO_DELETE_INDEX'			=>	"删除 CQ FTS 索引            -> [_1]",
	'TYPEAHEAD_NOT_ENABLED'			=>	"必须先启用 Typeahead，才可以使用“--typeahead_cmd”",
	'INVALID_TYPEAHEAD_CMD'			=>	"不是有效的“--typeahead_cmd”子命令：“[_1]”",
	
	'MINI_HELP_MSG'					=>	$minHelpMsgText,
	'FULL_HELP_MSG'					=>	$fullHelpMsgText,
	'UNIX_MULTIUTIL_INFO'			=>	$unixMultiutilInfo,
	
	##########################################################################
	# Next set of string resources are for external program string matching 
	# only. They are used programmatically to determine if an external 
	# program was successful or not.
	
	'GEN_ENTITY_FILE'				=>	[' : Wrote to: '],
	'GEN_INTER_SOLR_FILE'			=>	[' : Wrote to: '],
	'GEN_CQ_PROP_XML_FILE'			=>	[' : Wrote to: '],
	'START_WAS_PROFILE'				=>	['ADMU3027E', 'ADMU3000I'],
	'STOP_WAS_PROFILE'				=>	['ADMU0509I', 'ADMU4000I'],
	'SET_SOLR_HOME'					=>	['NOTE: CQ FTS WAS Profile MUST be re-started for this change to take effect.'],
	'OPTIMIZE_IDX'					=>	['SEVERE: Connection refused: connect'],
	'SET_WAS_MAX_MEM'				=>	['WASX7209I'],
	'INSTALLUTIL'					=>	['Exit code 0 for test setmasterpropertyfromfile'],
	'RUN_BATCH_IDX'					=>	[': cqtsdbcrawer 已于 '],
	'REMOVE_RECORD_TYPE_FROM_IDEX'	=>	['COMMITting Solr index changes'],
	'SCRUB_OPLOG'					=>	['Error:'],
	'DEL_WAS_PROFILE'				=>	['INSTCONFSUCCESS'],
	'CRE_WAS_PROFILE'				=>	['INSTCONFSUCCESS: '],
	'DEPLOY_SOLR'					=>	['ADMA5013I'],
	'UNDEPLOY_SOLR'					=>	['ADMA5106I'],
	'DEPLOY_SOLR_SAVE'				=>	['WASX7357I'],
	'DEPLOY_CRAWLER'				=>	['ADMA5013I'],
	'DEPLOY_CRAWLER_SAVE'			=>	['WASX7357I'],
	'REPAIR_RECORDS'				=>	['Caught a CQException at the JNI Boundary'],
	'HTTP_TRANSPORT_PORT'			=>	['HTTP 传输端口：'],
	'CANNOT_RETRIVE_PROFILE_PATH'	=>	['Cannot retrieve the profile path'],
	'GET_BASIC_WAS_PROFILE_INFO'	=>	['WASX7209I'],
	'MATCH_NOTHING'					=>	[''],
	
	'NOT_USED'						=>	'NOT_USED'		# no translation needed as this is a place holder only
);


1;
